
package de.ivu.elect.presentation.gebietsbaum.action;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Specializes
public class NlWasGebietActionMenu extends CommonGebietActionMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlGebietPublicKeyImportAction nlGebietPublicKeyImportAction;

  @Inject
  private transient NlWasGebietKorrekturenStimmeingabenKeinePruefungErforderlichAction nlWasGebietKorrekturenStimmeingabenKeinePruefungErforderlichAction;

  @Inject
  private transient NlWasGebietKorrekturenStimmeingabenPruefungErforderlichAction nlWasGebietKorrekturenStimmeingabenPruefungErforderlichAction;

  @Inject
  private transient NlWasGebietKorrekturenStimmeingabenNachPruefungKorrigiertAction nlWasGebietKorrekturenStimmeingabenNachPruefungKorrigiertAction;

  @Inject
  private transient NlWasGebietKorrekturenStimmeingabenNachPruefungUnveraendertAction nlWasGebietKorrekturenStimmeingabenNachPruefungUnveraendertAction;

  public NlWasGebietActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Gebiet>> getActionEntriesSorted() {
    List<ActionEntry<Gebiet>> result = new ArrayList<>(super.getActionEntriesSorted());

    result.add(nlGebietPublicKeyImportAction);

    result.add(nlWasGebietKorrekturenStimmeingabenKeinePruefungErforderlichAction);
    result.add(nlWasGebietKorrekturenStimmeingabenPruefungErforderlichAction);
    result.add(nlWasGebietKorrekturenStimmeingabenNachPruefungKorrigiertAction);
    result.add(nlWasGebietKorrekturenStimmeingabenNachPruefungUnveraendertAction);

    return result;
  }
}
